Subject: Re: Tips for growing Daphne odora

From: [email-masked] (Sara Miller)
Date: Fri, 3 Mar 1995 07:02:12 GMT

My three daphnes are planted in clay soil, but they are planted on small mounds
to keep the roots drier.  I haven't added any fertilizer in the three years 
I've lived here and they are still thriving.  I do keep their roots zone well
raked and clean.  This spring was the first time I did any pruning (I was afraid
to before), but they were really growing too bushy.  Good luck!

Sara Miller
[email-masked]
Zone 9

---

From: PATTIBELLE <[email-masked]>
Date: Sun, 5 Mar 95 01:32:40 -0500

I planted a Daphne Odora last spring on a north facing slope where is
has very good drainage.  Do NOT give it too much water--just enough to
keep it alive.  Mine is thriving!
 
Pat in Napa, CA